<template>
    <div>
        <p class="h5">
            <span>Test CSV file</span>
            &nbsp;
            <b-link class="float-right" v-b-popover.bottomleft.click.blur="'CSV File must be contain a table of at least 2 columns, one named \'id\' and another named \'sms_phone\''" title="CSV File structure">
                <b-icon-info-circle-fill variant="dark" :font-scale="1"></b-icon-info-circle-fill>
            </b-link>
        </p>
        <b-button variant="primary" block size="sm" v-b-modal="'test-csv-modal'">
            Test CSV file
        </b-button>
        <hr />
        <p class="h5">Test single phone number</p>
        <form-test-phone-number></form-test-phone-number>

        <modal-test-csv-file id="test-csv-modal"></modal-test-csv-file>
        <br>
    </div>
</template>

<script>
import FormTestPhoneNumber from "./FormTestPhoneNumber.vue";
import ModalTestCSVFile from "./ModalTestCSVFile.vue";
import { BIconInfoCircleFill } from 'bootstrap-vue';

export default {
    name: "PageSideTools",
    components: {
        FormTestPhoneNumber,
        "modal-test-csv-file": ModalTestCSVFile,
        BIconInfoCircleFill,
    },
};
</script>
